[DISCUSS] Release Apache Flex SDK 4.16.1 - RC1*

classic Classic list List threaded Threaded
46 messages Options
123
Reply | Threaded
Open this post in threaded view
|

[DISCUSS] Release Apache Flex SDK 4.16.1 - RC1*

piotrz
Hi Folks,

This is discussion thread for Apache Flex SDK 4.16.1 RC1.

Thanks,
--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: [DISCUSS] Release Apache Flex SDK 4.16.1 - RC1*

Peter Ent-2
I'm trying the AppoveSDK.xml script. When I do:

ant -f ApproveSDK.xml -Drelease.version=4.16.1

I get the following:

Buildfile: /Users/pent/Downloads/ApproveSDK.xml

write-out-jars-list:
   [delete] Deleting: /Users/pent/Downloads/jars.txt

install-rat.jar:

install-rat.tasks.jar:

install-rat:

download:
      [get] Getting:
http://apacheflexbuild.cloudapp.net:8080/job/flex-sdk_release-candidate/las
tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz
      [get] To: /Users/pent/Downloads/apache-flex-sdk-4.16.1-src.tar.gz
      [get] Error opening connection java.io.FileNotFoundException:
http://apacheflexbuild.cloudapp.net:8080/job/flex-sdk_release-candidate/las
tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz
      [get] Error opening connection java.io.FileNotFoundException:
http://apacheflexbuild.cloudapp.net:8080/job/flex-sdk_release-candidate/las
tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz
      [get] Error opening connection java.io.FileNotFoundException:
http://apacheflexbuild.cloudapp.net:8080/job/flex-sdk_release-candidate/las
tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz
      [get] Can't get
http://apacheflexbuild.cloudapp.net:8080/job/flex-sdk_release-candidate/las
tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz to
/Users/pent/Downloads/apache-flex-sdk-4.16.1-src.tar.gz

BUILD FAILED
/Users/pent/Downloads/ApproveSDK.xml:222: Can't get
http://apacheflexbuild.cloudapp.net:8080/job/flex-sdk_release-candidate/las
tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz to
/Users/pent/Downloads/apache-flex-sdk-4.16.1-src.tar.gz


I can download the 4.16.1-src.tar.gz manually and will test that way.


I tried ant -f ApproveSDK.xml -Drelease.version=4.16.0 and that works, but
its not the correct release.

‹peter


On 11/9/17, 6:14 PM, "Piotr Zarzycki" <[hidden email]> wrote:

>Hi Folks,
>
>This is discussion thread for Apache Flex SDK 4.16.1 RC1.
>
>Thanks,
>--
>
>Piotr Zarzycki
>
>Patreon:
>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.patr
>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C8060e3b76f3048bb1b8108d527c7ac38
>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636458660901245879&sdata=NX8
>9oJVmd4jS2lhmhu%2FL4syVTaYa2MLJ%2BSeXsDJ5AhY%3D&reserved=0
><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.patr
>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C8060e3b76f3048bb1b8108d527c7ac38
>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636458660901245879&sdata=NX8
>9oJVmd4jS2lhmhu%2FL4syVTaYa2MLJ%2BSeXsDJ5AhY%3D&reserved=0>*

Reply | Threaded
Open this post in threaded view
|

Re: [DISCUSS] Release Apache Flex SDK 4.16.1 - RC1*

Alex Harui-2
Peter, looks like you are missing the -Drc=1 parameter.

I guess Piotr was unable to use the releasecandidate.xml scripts because
they would have put the right command-line in the vote thread emails.
IMO, it would be better to get these scripts working so they save
everybody time and hassle.

-Alex

On 11/10/17, 8:22 AM, "Peter Ent" <[hidden email]> wrote:

>I'm trying the AppoveSDK.xml script. When I do:
>
>ant -f ApproveSDK.xml -Drelease.version=4.16.1
>
>I get the following:
>
>Buildfile: /Users/pent/Downloads/ApproveSDK.xml
>
>write-out-jars-list:
>   [delete] Deleting: /Users/pent/Downloads/jars.txt
>
>install-rat.jar:
>
>install-rat.tasks.jar:
>
>install-rat:
>
>download:
>      [get] Getting:
>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapacheflex
>build.cloudapp.net%3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
>%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178de
>cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQoT
>gpNB6pbnrUkDw%3D&reserved=0
>tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz
>      [get] To: /Users/pent/Downloads/apache-flex-sdk-4.16.1-src.tar.gz
>      [get] Error opening connection java.io.FileNotFoundException:
>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapacheflex
>build.cloudapp.net%3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
>%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178de
>cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQoT
>gpNB6pbnrUkDw%3D&reserved=0
>tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz
>      [get] Error opening connection java.io.FileNotFoundException:
>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapacheflex
>build.cloudapp.net%3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
>%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178de
>cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQoT
>gpNB6pbnrUkDw%3D&reserved=0
>tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz
>      [get] Error opening connection java.io.FileNotFoundException:
>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapacheflex
>build.cloudapp.net%3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
>%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178de
>cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQoT
>gpNB6pbnrUkDw%3D&reserved=0
>tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz
>      [get] Can't get
>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapacheflex
>build.cloudapp.net%3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
>%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178de
>cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQoT
>gpNB6pbnrUkDw%3D&reserved=0
>tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz to
>/Users/pent/Downloads/apache-flex-sdk-4.16.1-src.tar.gz
>
>BUILD FAILED
>/Users/pent/Downloads/ApproveSDK.xml:222: Can't get
>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapacheflex
>build.cloudapp.net%3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
>%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178de
>cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQoT
>gpNB6pbnrUkDw%3D&reserved=0
>tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz to
>/Users/pent/Downloads/apache-flex-sdk-4.16.1-src.tar.gz
>
>
>I can download the 4.16.1-src.tar.gz manually and will test that way.
>
>
>I tried ant -f ApproveSDK.xml -Drelease.version=4.16.0 and that works, but
>its not the correct release.
>
>‹peter
>
>
>On 11/9/17, 6:14 PM, "Piotr Zarzycki" <[hidden email]> wrote:
>
>>Hi Folks,
>>
>>This is discussion thread for Apache Flex SDK 4.16.1 RC1.
>>
>>Thanks,
>>--
>>
>>Piotr Zarzycki
>>
>>Patreon:
>>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.pat
>>r
>>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C8060e3b76f3048bb1b8108d527c7ac3
>>8
>>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636458660901245879&sdata=NX
>>8
>>9oJVmd4jS2lhmhu%2FL4syVTaYa2MLJ%2BSeXsDJ5AhY%3D&reserved=0
>><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.pat
>>r
>>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C8060e3b76f3048bb1b8108d527c7ac3
>>8
>>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636458660901245879&sdata=NX
>>8
>>9oJVmd4jS2lhmhu%2FL4syVTaYa2MLJ%2BSeXsDJ5AhY%3D&reserved=0>*
>

Reply | Threaded
Open this post in threaded view
|

Re: [DISCUSS] Release Apache Flex SDK 4.16.1 - RC1*

piotrz
Alex,

In the VOTE thread I see the right command. I've checked many times that
email.

Peter,

Thanks for looking into that. I hope now it will work with Alex's
suggestion.

Piotr

On Fri, Nov 10, 2017, 17:26 Alex Harui <[hidden email]> wrote:

> Peter, looks like you are missing the -Drc=1 parameter.
>
> I guess Piotr was unable to use the releasecandidate.xml scripts because
> they would have put the right command-line in the vote thread emails.
> IMO, it would be better to get these scripts working so they save
> everybody time and hassle.
>
> -Alex
>
> On 11/10/17, 8:22 AM, "Peter Ent" <[hidden email]> wrote:
>
> >I'm trying the AppoveSDK.xml script. When I do:
> >
> >ant -f ApproveSDK.xml -Drelease.version=4.16.1
> >
> >I get the following:
> >
> >Buildfile: /Users/pent/Downloads/ApproveSDK.xml
> >
> >write-out-jars-list:
> >   [delete] Deleting: /Users/pent/Downloads/jars.txt
> >
> >install-rat.jar:
> >
> >install-rat.tasks.jar:
> >
> >install-rat:
> >
> >download:
> >      [get] Getting:
> >
> https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapacheflex
> >build.cloudapp.net
> %3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
> >%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178de
> >cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQoT
> >gpNB6pbnrUkDw%3D&reserved=0
> >tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz
> >      [get] To: /Users/pent/Downloads/apache-flex-sdk-4.16.1-src.tar.gz
> >      [get] Error opening connection java.io.FileNotFoundException:
> >
> https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapacheflex
> >build.cloudapp.net
> %3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
> >%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178de
> >cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQoT
> >gpNB6pbnrUkDw%3D&reserved=0
> >tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz
> >      [get] Error opening connection java.io.FileNotFoundException:
> >
> https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapacheflex
> >build.cloudapp.net
> %3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
> >%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178de
> >cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQoT
> >gpNB6pbnrUkDw%3D&reserved=0
> >tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz
> >      [get] Error opening connection java.io.FileNotFoundException:
> >
> https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapacheflex
> >build.cloudapp.net
> %3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
> >%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178de
> >cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQoT
> >gpNB6pbnrUkDw%3D&reserved=0
> >tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz
> >      [get] Can't get
> >
> https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapacheflex
> >build.cloudapp.net
> %3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
> >%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178de
> >cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQoT
> >gpNB6pbnrUkDw%3D&reserved=0
> >tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz to
> >/Users/pent/Downloads/apache-flex-sdk-4.16.1-src.tar.gz
> >
> >BUILD FAILED
> >/Users/pent/Downloads/ApproveSDK.xml:222: Can't get
> >
> https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapacheflex
> >build.cloudapp.net
> %3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
> >%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178de
> >cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQoT
> >gpNB6pbnrUkDw%3D&reserved=0
> >tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz to
> >/Users/pent/Downloads/apache-flex-sdk-4.16.1-src.tar.gz
> >
> >
> >I can download the 4.16.1-src.tar.gz manually and will test that way.
> >
> >
> >I tried ant -f ApproveSDK.xml -Drelease.version=4.16.0 and that works, but
> >its not the correct release.
> >
> >‹peter
> >
> >
> >On 11/9/17, 6:14 PM, "Piotr Zarzycki" <[hidden email]> wrote:
> >
> >>Hi Folks,
> >>
> >>This is discussion thread for Apache Flex SDK 4.16.1 RC1.
> >>
> >>Thanks,
> >>--
> >>
> >>Piotr Zarzycki
> >>
> >>Patreon:
> >>*
> https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.pat
> >>r
> >>eon.com
> %2Fpiotrzarzycki&data=02%7C01%7C%7C8060e3b76f3048bb1b8108d527c7ac3
> >>8
> >>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636458660901245879&sdata=NX
> >>8
> >>9oJVmd4jS2lhmhu%2FL4syVTaYa2MLJ%2BSeXsDJ5AhY%3D&reserved=0
> >><
> https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.pat
> >>r
> >>eon.com
> %2Fpiotrzarzycki&data=02%7C01%7C%7C8060e3b76f3048bb1b8108d527c7ac3
> >>8
> >>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636458660901245879&sdata=NX
> >>8
> >>9oJVmd4jS2lhmhu%2FL4syVTaYa2MLJ%2BSeXsDJ5AhY%3D&reserved=0>*
> >
>
>
Reply | Threaded
Open this post in threaded view
|

Re: [DISCUSS] Release Apache Flex SDK 4.16.1 - RC1*

Peter Ent-2
I had actually tried the -Drc=1, but I mistakenly set the release.version
to 4.16

So close. Script is running.

—peter

On 11/10/17, 11:34 AM, "Piotr Zarzycki" <[hidden email]> wrote:

>Alex,
>
>In the VOTE thread I see the right command. I've checked many times that
>email.
>
>Peter,
>
>Thanks for looking into that. I hope now it will work with Alex's
>suggestion.
>
>Piotr
>
>On Fri, Nov 10, 2017, 17:26 Alex Harui <[hidden email]> wrote:
>
>> Peter, looks like you are missing the -Drc=1 parameter.
>>
>> I guess Piotr was unable to use the releasecandidate.xml scripts because
>> they would have put the right command-line in the vote thread emails.
>> IMO, it would be better to get these scripts working so they save
>> everybody time and hassle.
>>
>> -Alex
>>
>> On 11/10/17, 8:22 AM, "Peter Ent" <[hidden email]> wrote:
>>
>> >I'm trying the AppoveSDK.xml script. When I do:
>> >
>> >ant -f ApproveSDK.xml -Drelease.version=4.16.1
>> >
>> >I get the following:
>> >
>> >Buildfile: /Users/pent/Downloads/ApproveSDK.xml
>> >
>> >write-out-jars-list:
>> >   [delete] Deleting: /Users/pent/Downloads/jars.txt
>> >
>> >install-rat.jar:
>> >
>> >install-rat.tasks.jar:
>> >
>> >install-rat:
>> >
>> >download:
>> >      [get] Getting:
>> >
>>
>>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapachefle
>>x
>> >build.cloudapp.net
>> %3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
>>
>>>%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178
>>>de
>>
>>>cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQ
>>>oT
>> >gpNB6pbnrUkDw%3D&reserved=0
>> >tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz
>> >      [get] To: /Users/pent/Downloads/apache-flex-sdk-4.16.1-src.tar.gz
>> >      [get] Error opening connection java.io.FileNotFoundException:
>> >
>>
>>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapachefle
>>x
>> >build.cloudapp.net
>> %3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
>>
>>>%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178
>>>de
>>
>>>cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQ
>>>oT
>> >gpNB6pbnrUkDw%3D&reserved=0
>> >tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz
>> >      [get] Error opening connection java.io.FileNotFoundException:
>> >
>>
>>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapachefle
>>x
>> >build.cloudapp.net
>> %3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
>>
>>>%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178
>>>de
>>
>>>cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQ
>>>oT
>> >gpNB6pbnrUkDw%3D&reserved=0
>> >tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz
>> >      [get] Error opening connection java.io.FileNotFoundException:
>> >
>>
>>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapachefle
>>x
>> >build.cloudapp.net
>> %3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
>>
>>>%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178
>>>de
>>
>>>cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQ
>>>oT
>> >gpNB6pbnrUkDw%3D&reserved=0
>> >tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz
>> >      [get] Can't get
>> >
>>
>>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapachefle
>>x
>> >build.cloudapp.net
>> %3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
>>
>>>%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178
>>>de
>>
>>>cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQ
>>>oT
>> >gpNB6pbnrUkDw%3D&reserved=0
>> >tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz to
>> >/Users/pent/Downloads/apache-flex-sdk-4.16.1-src.tar.gz
>> >
>> >BUILD FAILED
>> >/Users/pent/Downloads/ApproveSDK.xml:222: Can't get
>> >
>>
>>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapachefle
>>x
>> >build.cloudapp.net
>> %3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
>>
>>>%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178
>>>de
>>
>>>cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQ
>>>oT
>> >gpNB6pbnrUkDw%3D&reserved=0
>> >tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz to
>> >/Users/pent/Downloads/apache-flex-sdk-4.16.1-src.tar.gz
>> >
>> >
>> >I can download the 4.16.1-src.tar.gz manually and will test that way.
>> >
>> >
>> >I tried ant -f ApproveSDK.xml -Drelease.version=4.16.0 and that works,
>>but
>> >its not the correct release.
>> >
>> >‹peter
>> >
>> >
>> >On 11/9/17, 6:14 PM, "Piotr Zarzycki" <[hidden email]>
>>wrote:
>> >
>> >>Hi Folks,
>> >>
>> >>This is discussion thread for Apache Flex SDK 4.16.1 RC1.
>> >>
>> >>Thanks,
>> >>--
>> >>
>> >>Piotr Zarzycki
>> >>
>> >>Patreon:
>> >>*
>> https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.pat
>> >>r
>> >>eon.com
>> %2Fpiotrzarzycki&data=02%7C01%7C%7C8060e3b76f3048bb1b8108d527c7ac3
>> >>8
>>
>>>>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636458660901245879&sdata=
>>>>NX
>> >>8
>> >>9oJVmd4jS2lhmhu%2FL4syVTaYa2MLJ%2BSeXsDJ5AhY%3D&reserved=0
>> >><
>> https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.pat
>> >>r
>> >>eon.com
>> %2Fpiotrzarzycki&data=02%7C01%7C%7C8060e3b76f3048bb1b8108d527c7ac3
>> >>8
>>
>>>>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636458660901245879&sdata=
>>>>NX
>> >>8
>> >>9oJVmd4jS2lhmhu%2FL4syVTaYa2MLJ%2BSeXsDJ5AhY%3D&reserved=0>*
>> >
>>
>>

Reply | Threaded
Open this post in threaded view
|

Re: [DISCUSS] Release Apache Flex SDK 4.16.1 - RC1*

Alex Harui-2
In reply to this post by piotrz
Hi Piotr,

Yes, you are right. I looked in the wrong thread.

Sorry about that,
-Alex

On 11/10/17, 8:34 AM, "Piotr Zarzycki" <[hidden email]> wrote:

>Alex,
>
>In the VOTE thread I see the right command. I've checked many times that
>email.
>
>Peter,
>
>Thanks for looking into that. I hope now it will work with Alex's
>suggestion.
>
>Piotr
>
>On Fri, Nov 10, 2017, 17:26 Alex Harui <[hidden email]> wrote:
>
>> Peter, looks like you are missing the -Drc=1 parameter.
>>
>> I guess Piotr was unable to use the releasecandidate.xml scripts because
>> they would have put the right command-line in the vote thread emails.
>> IMO, it would be better to get these scripts working so they save
>> everybody time and hassle.
>>
>> -Alex
>>
>> On 11/10/17, 8:22 AM, "Peter Ent" <[hidden email]> wrote:
>>
>> >I'm trying the AppoveSDK.xml script. When I do:
>> >
>> >ant -f ApproveSDK.xml -Drelease.version=4.16.1
>> >
>> >I get the following:
>> >
>> >Buildfile: /Users/pent/Downloads/ApproveSDK.xml
>> >
>> >write-out-jars-list:
>> >   [delete] Deleting: /Users/pent/Downloads/jars.txt
>> >
>> >install-rat.jar:
>> >
>> >install-rat.tasks.jar:
>> >
>> >install-rat:
>> >
>> >download:
>> >      [get] Getting:
>> >
>>
>>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapachefle
>>x
>> >build.cloudapp.net
>> %3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
>>
>>>%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178
>>>de
>>
>>>cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQ
>>>oT
>> >gpNB6pbnrUkDw%3D&reserved=0
>> >tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz
>> >      [get] To: /Users/pent/Downloads/apache-flex-sdk-4.16.1-src.tar.gz
>> >      [get] Error opening connection java.io.FileNotFoundException:
>> >
>>
>>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapachefle
>>x
>> >build.cloudapp.net
>> %3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
>>
>>>%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178
>>>de
>>
>>>cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQ
>>>oT
>> >gpNB6pbnrUkDw%3D&reserved=0
>> >tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz
>> >      [get] Error opening connection java.io.FileNotFoundException:
>> >
>>
>>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapachefle
>>x
>> >build.cloudapp.net
>> %3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
>>
>>>%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178
>>>de
>>
>>>cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQ
>>>oT
>> >gpNB6pbnrUkDw%3D&reserved=0
>> >tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz
>> >      [get] Error opening connection java.io.FileNotFoundException:
>> >
>>
>>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapachefle
>>x
>> >build.cloudapp.net
>> %3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
>>
>>>%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178
>>>de
>>
>>>cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQ
>>>oT
>> >gpNB6pbnrUkDw%3D&reserved=0
>> >tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz
>> >      [get] Can't get
>> >
>>
>>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapachefle
>>x
>> >build.cloudapp.net
>> %3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
>>
>>>%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178
>>>de
>>
>>>cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQ
>>>oT
>> >gpNB6pbnrUkDw%3D&reserved=0
>> >tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz to
>> >/Users/pent/Downloads/apache-flex-sdk-4.16.1-src.tar.gz
>> >
>> >BUILD FAILED
>> >/Users/pent/Downloads/ApproveSDK.xml:222: Can't get
>> >
>>
>>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapachefle
>>x
>> >build.cloudapp.net
>> %3A8080%2Fjob%2Fflex-sdk_release-candidate%2Flas&data=02
>>
>>>%7C01%7C%7C8ff3fb4edd424693413508d5285739e9%7Cfa7b1b5a7b34438794aed2c178
>>>de
>>
>>>cee1%7C0%7C0%7C636459277456439905&sdata=S1jrEyHCZKbH5O%2BZMGoi%2B9UjJPiQ
>>>oT
>> >gpNB6pbnrUkDw%3D&reserved=0
>> >tSuccessfulBuild/artifact/out/apache-flex-sdk-4.16.1-src.tar.gz to
>> >/Users/pent/Downloads/apache-flex-sdk-4.16.1-src.tar.gz
>> >
>> >
>> >I can download the 4.16.1-src.tar.gz manually and will test that way.
>> >
>> >
>> >I tried ant -f ApproveSDK.xml -Drelease.version=4.16.0 and that works,
>>but
>> >its not the correct release.
>> >
>> >‹peter
>> >
>> >
>> >On 11/9/17, 6:14 PM, "Piotr Zarzycki" <[hidden email]>
>>wrote:
>> >
>> >>Hi Folks,
>> >>
>> >>This is discussion thread for Apache Flex SDK 4.16.1 RC1.
>> >>
>> >>Thanks,
>> >>--
>> >>
>> >>Piotr Zarzycki
>> >>
>> >>Patreon:
>> >>*
>> https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.pat
>> >>r
>> >>eon.com
>> %2Fpiotrzarzycki&data=02%7C01%7C%7C8060e3b76f3048bb1b8108d527c7ac3
>> >>8
>>
>>>>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636458660901245879&sdata=
>>>>NX
>> >>8
>> >>9oJVmd4jS2lhmhu%2FL4syVTaYa2MLJ%2BSeXsDJ5AhY%3D&reserved=0
>> >><
>> https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.pat
>> >>r
>> >>eon.com
>> %2Fpiotrzarzycki&data=02%7C01%7C%7C8060e3b76f3048bb1b8108d527c7ac3
>> >>8
>>
>>>>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636458660901245879&sdata=
>>>>NX
>> >>8
>> >>9oJVmd4jS2lhmhu%2FL4syVTaYa2MLJ%2BSeXsDJ5AhY%3D&reserved=0>*
>> >
>>
>>

Reply | Threaded
Open this post in threaded view
|

Re: [DISCUSS] Release Apache Flex SDK 4.16.1 - RC1*

Peter Ent-2
In reply to this post by piotrz
After getting the Approval script running and going through the license
files, etc., the whole thing ended with:

osmf-check:


osmf-download:


download-osmf-swc:
      [get] Getting:
https://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/frameworks/libs/
OSMF2_0.swc?format=raw
      [get] To:
/Users/pent/Downloads/apache-flex-sdk-4.16.1-src/in/osmf.swc
      [get] Error getting
https://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/frameworks/libs/
OSMF2_0.swc?format=raw to
/Users/pent/Downloads/apache-flex-sdk-4.16.1-src/in/osmf.swc


double-check-file:
     [echo] Need file: ${still_no_file}


get-from-cache-if-needed:


fail-if-not-found:


BUILD FAILED
/Users/pent/Downloads/ApproveSDK.xml:1186: The following error occurred
while executing this line:
/Users/pent/Downloads/apache-flex-sdk-4.16.1-src/build.xml:157: The
following error occurred while executing this line:
/Users/pent/Downloads/apache-flex-sdk-4.16.1-src/frameworks/build.xml:100:
The following error occurred while executing this line:
/Users/pent/Downloads/apache-flex-sdk-4.16.1-src/frameworks/downloads.xml:1
05: The following error occurred while executing this line:
/Users/pent/Downloads/apache-flex-sdk-4.16.1-src/frameworks/downloads.xml:1
17: The following error occurred while executing this line:
/Users/pent/Downloads/apache-flex-sdk-4.16.1-src/frameworks/downloads.xml:4
22: osmf.swc could not be downloaded or found in cache


I can get to the file in the browser and even download it, so I don't know
what could be wrong.

‹peter

On 11/9/17, 6:14 PM, "Piotr Zarzycki" <[hidden email]> wrote:

>Hi Folks,
>
>This is discussion thread for Apache Flex SDK 4.16.1 RC1.
>
>Thanks,
>--
>
>Piotr Zarzycki
>
>Patreon:
>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.patr
>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C8060e3b76f3048bb1b8108d527c7ac38
>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636458660901245879&sdata=NX8
>9oJVmd4jS2lhmhu%2FL4syVTaYa2MLJ%2BSeXsDJ5AhY%3D&reserved=0
><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.patr
>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C8060e3b76f3048bb1b8108d527c7ac38
>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636458660901245879&sdata=NX8
>9oJVmd4jS2lhmhu%2FL4syVTaYa2MLJ%2BSeXsDJ5AhY%3D&reserved=0>*

Reply | Threaded
Open this post in threaded view
|

Re: [DISCUSS] Release Apache Flex SDK 4.16.1 - RC1*

piotrz
Hi Peter,

Somewhere on the dev list there is a thread where problems with downloading
SMF2 is described. It is because sourcfourge changed something in their
policy. The solution was to download following java jars [1] and replace in
your JDK. Let me know if you are using Java 8 or 7 ?

[1]
http://www.oracle.com/technetwork/java/javase/downloads/jce8-download-2133166.html

Piotr


2017-11-10 22:43 GMT+01:00 Peter Ent <[hidden email]>:

> After getting the Approval script running and going through the license
> files, etc., the whole thing ended with:
>
> osmf-check:
>
>
> osmf-download:
>
>
> download-osmf-swc:
>       [get] Getting:
> https://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/
> frameworks/libs/
> OSMF2_0.swc?format=raw
>       [get] To:
> /Users/pent/Downloads/apache-flex-sdk-4.16.1-src/in/osmf.swc
>       [get] Error getting
> https://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/
> frameworks/libs/
> OSMF2_0.swc?format=raw to
> /Users/pent/Downloads/apache-flex-sdk-4.16.1-src/in/osmf.swc
>
>
> double-check-file:
>      [echo] Need file: ${still_no_file}
>
>
> get-from-cache-if-needed:
>
>
> fail-if-not-found:
>
>
> BUILD FAILED
> /Users/pent/Downloads/ApproveSDK.xml:1186: The following error occurred
> while executing this line:
> /Users/pent/Downloads/apache-flex-sdk-4.16.1-src/build.xml:157: The
> following error occurred while executing this line:
> /Users/pent/Downloads/apache-flex-sdk-4.16.1-src/frameworks/build.xml:100:
> The following error occurred while executing this line:
> /Users/pent/Downloads/apache-flex-sdk-4.16.1-src/
> frameworks/downloads.xml:1
> 05: The following error occurred while executing this line:
> /Users/pent/Downloads/apache-flex-sdk-4.16.1-src/
> frameworks/downloads.xml:1
> 17: The following error occurred while executing this line:
> /Users/pent/Downloads/apache-flex-sdk-4.16.1-src/
> frameworks/downloads.xml:4
> 22: osmf.swc could not be downloaded or found in cache
>
>
> I can get to the file in the browser and even download it, so I don't know
> what could be wrong.
>
> ‹peter
>
> On 11/9/17, 6:14 PM, "Piotr Zarzycki" <[hidden email]> wrote:
>
> >Hi Folks,
> >
> >This is discussion thread for Apache Flex SDK 4.16.1 RC1.
> >
> >Thanks,
> >--
> >
> >Piotr Zarzycki
> >
> >Patreon:
> >*https://na01.safelinks.protection.outlook.com/?url=
> https%3A%2F%2Fwww.patr
> >eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C8060e3b76f3048bb1b8108d527c7
> ac38
> >%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%
> 7C636458660901245879&sdata=NX8
> >9oJVmd4jS2lhmhu%2FL4syVTaYa2MLJ%2BSeXsDJ5AhY%3D&reserved=0
> ><https://na01.safelinks.protection.outlook.com/?url=
> https%3A%2F%2Fwww.patr
> >eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C8060e3b76f3048bb1b8108d527c7
> ac38
> >%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%
> 7C636458660901245879&sdata=NX8
> >9oJVmd4jS2lhmhu%2FL4syVTaYa2MLJ%2BSeXsDJ5AhY%3D&reserved=0>*
>
>


--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: [DISCUSS] Release Apache Flex SDK 4.16.1 - RC1*

piotrz
Hi Om, Peter,

Here you got link to old discussion about your problems with OSMF [1]

[1]
http://apache-flex-development.2333347.n4.nabble.com/source-forge-downloads-failing-tp59050p59220.html

Thanks, Piotr


2017-11-10 23:02 GMT+01:00 Piotr Zarzycki <[hidden email]>:

> Hi Peter,
>
> Somewhere on the dev list there is a thread where problems with
> downloading SMF2 is described. It is because sourcfourge changed something
> in their policy. The solution was to download following java jars [1] and
> replace in your JDK. Let me know if you are using Java 8 or 7 ?
>
> [1] http://www.oracle.com/technetwork/java/javase/downloads/jce8-download-
> 2133166.html
>
> Piotr
>
>
> 2017-11-10 22:43 GMT+01:00 Peter Ent <[hidden email]>:
>
>> After getting the Approval script running and going through the license
>> files, etc., the whole thing ended with:
>>
>> osmf-check:
>>
>>
>> osmf-download:
>>
>>
>> download-osmf-swc:
>>       [get] Getting:
>> https://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/f
>> rameworks/libs/
>> OSMF2_0.swc?format=raw
>> <https://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/frameworks/libs/OSMF2_0.swc?format=raw>
>>       [get] To:
>> /Users/pent/Downloads/apache-flex-sdk-4.16.1-src/in/osmf.swc
>>       [get] Error getting
>> https://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/f
>> rameworks/libs/
>> OSMF2_0.swc?format=raw
>> <https://sourceforge.net/adobe/flexsdk/code/HEAD/tree/trunk/frameworks/libs/OSMF2_0.swc?format=raw>
>> to
>> /Users/pent/Downloads/apache-flex-sdk-4.16.1-src/in/osmf.swc
>>
>>
>> double-check-file:
>>      [echo] Need file: ${still_no_file}
>>
>>
>> get-from-cache-if-needed:
>>
>>
>> fail-if-not-found:
>>
>>
>> BUILD FAILED
>> /Users/pent/Downloads/ApproveSDK.xml:1186: The following error occurred
>> while executing this line:
>> /Users/pent/Downloads/apache-flex-sdk-4.16.1-src/build.xml:157: The
>> following error occurred while executing this line:
>> /Users/pent/Downloads/apache-flex-sdk-4.16.1-src/frameworks/
>> build.xml:100:
>> The following error occurred while executing this line:
>> /Users/pent/Downloads/apache-flex-sdk-4.16.1-src/frameworks/
>> downloads.xml:1
>> 05: The following error occurred while executing this line:
>> /Users/pent/Downloads/apache-flex-sdk-4.16.1-src/frameworks/
>> downloads.xml:1
>> 17: The following error occurred while executing this line:
>> /Users/pent/Downloads/apache-flex-sdk-4.16.1-src/frameworks/
>> downloads.xml:4
>> 22: osmf.swc could not be downloaded or found in cache
>>
>>
>> I can get to the file in the browser and even download it, so I don't know
>> what could be wrong.
>>
>> ‹peter
>>
>> On 11/9/17, 6:14 PM, "Piotr Zarzycki" <[hidden email]> wrote:
>>
>> >Hi Folks,
>> >
>> >This is discussion thread for Apache Flex SDK 4.16.1 RC1.
>> >
>> >Thanks,
>> >--
>> >
>> >Piotr Zarzycki
>> >
>> >Patreon:
>> >*<a href="https://na01.safelinks.protection.outlook.com/?url=https%">https://na01.safelinks.protection.outlook.com/?url=https%
>> 3A%2F%2Fwww.patr
>> >eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C8060e3b76f3048bb1
>> b8108d527c7ac38
>> >%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C6364586609012
>> 45879&sdata=NX8
>> >9oJVmd4jS2lhmhu%2FL4syVTaYa2MLJ%2BSeXsDJ5AhY%3D&reserved=0
>> ><<a href="https://na01.safelinks.protection.outlook.com/?url=https%">https://na01.safelinks.protection.outlook.com/?url=https%
>> 3A%2F%2Fwww.patr
>> >eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C8060e3b76f3048bb1
>> b8108d527c7ac38
>> >%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C6364586609012
>> 45879&sdata=NX8
>> >9oJVmd4jS2lhmhu%2FL4syVTaYa2MLJ%2BSeXsDJ5AhY%3D&reserved=0>*
>>
>>
>
>
> --
>
> Piotr Zarzycki
>
> Patreon: *https://www.patreon.com/piotrzarzycki
> <https://www.patreon.com/piotrzarzycki>*
>



--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: [DISCUSS] Release Apache Flex SDK 4.16.1 - RC1*

Justin Mclean
Administrator
Hi,

Looks like the tar.gz file has been packaged / checked out with wrong line endings (i.e. dos ones). If you try to run any of the .sh files you get “: invalid option” on OSX. you can fix this by running dos2unix on the files but their may be other issues because of this.

Thanks,
Justin
Reply | Threaded
Open this post in threaded view
|

Re: [DISCUSS] Release Apache Flex SDK 4.16.1 - RC1*

Justin Mclean
Administrator
In reply to this post by piotrz
Hi,

I’m also having issues downloading OSMF when trying t compile the SDK and I do have the international crypto set up. However it's only failing on on Java 1.7 and works on 1.8, on OSX if that helps anyone.

Thanks,
Justin
Reply | Threaded
Open this post in threaded view
|

Re: [DISCUSS] Release Apache Flex SDK 4.16.1 - RC1*

piotrz
In reply to this post by Justin Mclean
Hi,

I don't understand actually - It was packaged by build.xml script on
Windows 10. Does it make the difference for your OSX ? What do you mean .sh
files ?

Piotr

2017-11-12 11:47 GMT+01:00 Justin Mclean <[hidden email]>:

> Hi,
>
> Looks like the tar.gz file has been packaged / checked out with wrong line
> endings (i.e. dos ones). If you try to run any of the .sh files you get “:
> invalid option” on OSX. you can fix this by running dos2unix on the files
> but their may be other issues because of this.
>
> Thanks,
> Justin




--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: [DISCUSS] Release Apache Flex SDK 4.16.1 - RC1*

piotrz
Maybe I wasn't clear, but my questions are:
What do I need to do in build.xml script in order to fix that or your
suggestion is to take this file and do something with it ? I haven't change
the type of compression.

Piotr


2017-11-12 12:15 GMT+01:00 Piotr Zarzycki <[hidden email]>:

> Hi,
>
> I don't understand actually - It was packaged by build.xml script on
> Windows 10. Does it make the difference for your OSX ? What do you mean .sh
> files ?
>
> Piotr
>
> 2017-11-12 11:47 GMT+01:00 Justin Mclean <[hidden email]>:
>
>> Hi,
>>
>> Looks like the tar.gz file has been packaged / checked out with wrong
>> line endings (i.e. dos ones). If you try to run any of the .sh files you
>> get “: invalid option” on OSX. you can fix this by running dos2unix on the
>> files but their may be other issues because of this.
>>
>> Thanks,
>> Justin
>
>
>
>
> --
>
> Piotr Zarzycki
>
> Patreon: *https://www.patreon.com/piotrzarzycki
> <https://www.patreon.com/piotrzarzycki>*
>



--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: [DISCUSS] Release Apache Flex SDK 4.16.1 - RC1*

Justin Mclean
Administrator
In reply to this post by piotrz
Hi,

> I don't understand actually

.tar.gz source is used on Linux and OSX, the .zip on windows. Linux and OSX use different line endings and if you use DOS/windows style line ending in shell scripts they will not run

> It was packaged by build.xml script on Windows 10. Does it make the difference for your OSX ? What do you mean .sh
> files ?

The bash script files found in the /ide directory and other places for instance running the tests.

Thanks,
Justin
Reply | Threaded
Open this post in threaded view
|

Re: [DISCUSS] Release Apache Flex SDK 4.16.1 - RC1*

Justin Mclean
Administrator
In reply to this post by piotrz
Hi,

> What do I need to do in build.xml script in order to fix that or your
> suggestion is to take this file and do something with it ?

I’ve not build on windows for several years so not 100% sure sorry. When building on OSX I’ve not run into the issue.

It may actually be a git setting issue in that you are changing line endings to windows on checking out the repo. It’s the autocrlf setting I believe what do you have that set to?

Thanks,
Justin
Reply | Threaded
Open this post in threaded view
|

Re: [DISCUSS] Release Apache Flex SDK 4.16.1 - RC1*

piotrz
Hi,

Ok I got it, but I don't fully understand how changing line endings for
files check outed for sdk repository could change final .tar.gz file. Exact
this file has wrong line endings, or file after unpack have ?

Thanks, Piotr


2017-11-12 12:48 GMT+01:00 Justin Mclean <[hidden email]>:

> Hi,
>
> > What do I need to do in build.xml script in order to fix that or your
> > suggestion is to take this file and do something with it ?
>
> I’ve not build on windows for several years so not 100% sure sorry. When
> building on OSX I’ve not run into the issue.
>
> It may actually be a git setting issue in that you are changing line
> endings to windows on checking out the repo. It’s the autocrlf setting I
> believe what do you have that set to?
>
> Thanks,
> Justin




--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: [DISCUSS] Release Apache Flex SDK 4.16.1 - RC1*

Justin Mclean
Administrator
Hi,

> Ok I got it, but I don't fully understand how changing line endings for
> files check outed for sdk repository could change final .tar.gz file. Exact
> this file has wrong line endings, or file after unpack have ?

As I said the bash script contained in the .tar.gz have the wrong line endings.

So do all text files like README, LICENSE, NOTICE, java source files etc etc etc but that generally doesn’t cause an issue.

Thanks,
Justin
Reply | Threaded
Open this post in threaded view
|

Re: [DISCUSS] Release Apache Flex SDK 4.16.1 - RC1*

Alex Harui-2
In reply to this post by piotrz
I spent some time checking out the release.

The line-ending problem is a non-issue.  Prior releases are set up this
way as well.  The "release" target fixes up the line endings when building
the binary kit.  I think the main build does not so it doesn't inject
changes into the sources in a repo.

What is a problem with the release is that the files do not appear to be
UTF-8 encoded.  Or at least, many non-ASCII characters are not quite right
when the source package is viewed from a mac.  Note that the CI server's
nightly build doesn't seem to have this issue.  I believe this is because
the CI server has the environment variable:

   JAVA_TOOL_OPTIONS: -Dfile.encoding=UTF8


One such file is:

  frameworks/tests/basicTests//spark/views/SortTests.mxml

You can compare the U+5DDD entry.  For me, on my mac it is not the
expected character.  That causes the checkintests to fail to compile.  I
didn't find any key source files that are wrong and could cause trouble
for users, so we could just let it go.

What do others think?
-Alex


On 11/12/17, 3:58 AM, "Piotr Zarzycki" <[hidden email]> wrote:

>Hi,
>
>Ok I got it, but I don't fully understand how changing line endings for
>files check outed for sdk repository could change final .tar.gz file.
>Exact
>this file has wrong line endings, or file after unpack have ?
>
>Thanks, Piotr
>
>
>2017-11-12 12:48 GMT+01:00 Justin Mclean <[hidden email]>:
>
>> Hi,
>>
>> > What do I need to do in build.xml script in order to fix that or your
>> > suggestion is to take this file and do something with it ?
>>
>> I’ve not build on windows for several years so not 100% sure sorry. When
>> building on OSX I’ve not run into the issue.
>>
>> It may actually be a git setting issue in that you are changing line
>> endings to windows on checking out the repo. It’s the autocrlf setting I
>> believe what do you have that set to?
>>
>> Thanks,
>> Justin
>
>
>
>
>--
>
>Piotr Zarzycki
>
>Patreon:
>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.patr
>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C7984b33e692b4fdd4c4108d529c4a6c4
>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636460846965406066&sdata=c9l
>IyBHyRDkL3Tq8SpifW4DyyIF9smsaEA4Aerrv%2Fzs%3D&reserved=0
><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.patr
>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C7984b33e692b4fdd4c4108d529c4a6c4
>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636460846965406066&sdata=c9l
>IyBHyRDkL3Tq8SpifW4DyyIF9smsaEA4Aerrv%2Fzs%3D&reserved=0>*

Reply | Threaded
Open this post in threaded view
|

Re: [DISCUSS] Release Apache Flex SDK 4.16.1 - RC1*

Justin Mclean
Administrator
Hi,

> What is a problem with the release is that the files do not appear to be UTF-8 encoded.  

Which would effect the locale files i.e. the Chinese and Japanese and probably French and other european language locales would be broken.

And perhaps some of the keyboard handling code?

Thanks,
Justin

Reply | Threaded
Open this post in threaded view
|

Re: [DISCUSS] Release Apache Flex SDK 4.16.1 - RC1*

Justin Mclean
Administrator
Hi,

> Which would effect the locale files i.e. the Chinese and Japanese and probably French and other european language locales would be broken.

Confirmed it’s an issue and I would also vote -1 binding because of that.

To reproduce just view a DateChooser and you’ll see it has some ? in it’s display when using the Chinese and Japanese locales where other characters should be.

Thanks,
Justin
123